scrollkeeper error message in update window ("corrupted double-linked list")

Bug #157370 reported by teJECSke on 2007-10-26
6
Affects Status Importance Assigned to Milestone
scrollkeeper (Ubuntu)
Undecided
Craig Maloney

Bug Description

Binary package hint: scrollkeeper

I did a network less install from 7.10 cd
after network setup i started to install updates
i have seen this error message in the update process window:

*** glibc detected *** /usr/bin/scrollkeeper-update: corrupted double-linked list: 0x08052238 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb7d1dfed]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb7d21800]
/lib/tls/i686/cmov/libc.so.6(fclose+0x134)[0xb7d0c6f4]
/usr/bin/scrollkeeper-update[0x804a335]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0)[0xb7cca050]
/usr/bin/scrollkeeper-update[0x8048f91]
======= Memory map: ========
08048000-0804b000 r-xp 00000000 08:01 1292752 /usr/bin/scrollkeeper-update
0804b000-0804c000 rw-p 00002000 08:01 1292752 /usr/bin/scrollkeeper-update
0804c000-0806d000 rw-p 0804c000 00:00 0 [heap]
b7a00000-b7a21000 rw-p b7a00000 00:00 0
b7a21000-b7b00000 ---p b7a21000 00:00 0
b7b36000-b7b40000 r-xp 00000000 08:01 2469219 /lib/libgcc_s.so.1
b7b40000-b7b41000 rw-p 0000a000 08:01 2469219 /lib/libgcc_s.so.1
b7b4b000-b7b8a000 r--p 00000000 08:01 1590290 /usr/lib/locale/hu_HU.utf8/LC_CTYPE
b7b8a000-b7b8b000 r--p 00000000 08:01 1358175 /usr/lib/locale/hu_HU.utf8/LC_NUMERIC
b7b8b000-b7b8c000 r--p 00000000 08:01 1590291 /usr/lib/locale/hu_HU.utf8/LC_TIME
b7b8c000-b7c6f000 r--p 00000000 08:01 1590292 /usr/lib/locale/hu_HU.utf8/LC_COLLATE
b7c6f000-b7c70000 r--p 00000000 08:01 1590293 /usr/lib/locale/hu_HU.utf8/LC_MONETARY
b7c70000-b7c71000 r--p 00000000 08:01 1623292 /usr/lib/locale/hu_HU.utf8/LC_MESSAGES/SYS_LC_MESSAGES
b7c71000-b7c72000 r--p 00000000 08:01 1358189 /usr/lib/locale/hu_HU.utf8/LC_PAPER
b7c72000-b7c73000 r--p 00000000 08:01 1358187 /usr/lib/locale/hu_HU.utf8/LC_NAME
b7c73000-b7c74000 r--p 00000000 08:01 1590294 /usr/lib/locale/hu_HU.utf8/LC_ADDRESS
b7c74000-b7c76000 rw-p b7c74000 00:00 0
b7c76000-b7c8a000 r-xp 00000000 08:01 1294195 /usr/lib/libz.so.1.2.3.3
b7c8a000-b7c8b000 rw-p 00013000 08:01 1294195 /usr/lib/libz.so.1.2.3.3
b7c8b000-b7c8d000 r-xp 00000000 08:01 2472585 /lib/tls/i686/cmov/libdl-2.6.1.so
b7c8d000-b7c8f000 rw-p 00001000 08:01 2472585 /lib/tls/i686/cmov/libdl-2.6.1.so
b7c8f000-b7cb2000 r-xp 00000000 08:01 2472587 /lib/tls/i686/cmov/libm-2.6.1.so
b7cb2000-b7cb4000 rw-p 00023000 08:01 2472587 /lib/tls/i686/cmov/libm-2.6.1.so
b7cb4000-b7df8000 r-xp 00000000 08:01 2472579 /lib/tls/i686/cmov/libc-2.6.1.so
b7df8000-b7df9000 r--p 00143000 08:01 2472579 /lib/tls/i686/cmov/libc-2.6.1.so
b7df9000-b7dfb000 rw-p 00144000 08:01 2472579 /lib/tls/i686/cmov/libc-2.6.1.so
b7dfb000-b7dfe000 rw-p b7dfb000 00:00 0
b7dfe000-b7e05000 r-xp 00000000 08:01 1294092 /usr/lib/libscrollkeeper.so.0.0.0
b7e05000-b7e06000 rw-p 00007000 08:01 1294092 /usr/lib/libscrollkeeper.so.0.0.0
b7e06000-b7e07000 rw-p b7e06000 00:00 0
b7e07000-b7f1f000 r-xp 00000000 08:01 1294189 /usr/lib/libxml2.so.2.6.30
b7f1f000-b7f24000 rw-p 00118000 08:01 1294189 /usr/lib/libxml2.so.2.6.30
b7f24000-b7f25000 rw-p b7f24000 00:00 0
b7f25000-b7f58000 r-xp 00000000 08:01 1294193 /usr/lib/libxslt.so.1.1.21
b7f58000-b7f59000 rw-p 00032000 08:01 1294193 /usr/lib/libxslt.so.1.1.21
b7f59000-b7f5a000 r--p 00000000 08:01 1590295 /usr/lib/locale/hu_HU.utf8/LC_TELEPHONE
b7f5a000-b7f5b000 r--p 00000000 08:01 1358185 /usr/lib/locale/hu_HU.utf8/LC_MEASUREMENT
b7f5b000-b7f62000 r--s 00000000 08:01 1295762 /usr/lib/gconv/gconv-modules.cache
b7f62000-b7f63000 r--p 00000000 08:01 1590296 /usr/lib/locale/hu_HU.utf8/LC_IDENTIFICATION
b7f63000-b7f65000 rw-p b7f63000 00:00 0
b7f65000-b7f7f000 r-xp 00000000 08:01 2469172 /lib/ld-2.6.1.so
b7f7f000-b7f81000 rw-p 00019000 08:01 2469172 /lib/ld-2.6.1.so
bfa84000-bfa9a000 rw-p bfa84000 00:00 0 [stack]
ffffe000-fffff000 r-xp 00000000 00:00 0 [vdso]

Part of a really ugly partial upgrade on 8.04a1, (64-bit) @ 2007-12-12, 9:14am EST, running on a Gateway MX6431 laptop, (memory upgraded to 2.0GB, but otherwise stock). Whole list of crashes / errors thrown as of this report, (more coming as the auto-reporters fire up):

Could not install '/var/cache/apt/archives/xserver-xorg_1%3a7.3+7ubuntu3_all.deb'
 subprocess dpkg-deb --control returned error exit status 2

Could not install '/var/cache/apt/archives/slocate_3.1-1.1ubuntu1_amd64.deb'
  subprocess pre-installation script returned error exit status 1

Could not install 'scrollkeeper'
  subprocess post-installation script killed by signal (Interrupt)

* - Could not install 'gucharmap'
  dependency problems - leaving unconfigured

* - Could not install 'gnome-applets-data'
  dependency problems - leaving unconfigured

* - Could not install 'gnome-applets'
  dependency problems - leaving unconfigured

Could not install 'xserver-xorg'
  package xserver-xorg is already installed and configured

* - Could not install 'capplets-data'
  dependency problems - leaving unconfigured

Could not install 'gnome-control-center'
  dependency problems - leaving unconfigured

Could not install 'doc-base'
  dependency problems - leaving unconfigured

Could not install 'gedit'
  dependency problems - leaving unconfigured

* - Could not install 'gnome-session'
  dependency problems - leaving unconfigured

Could not install 'gnome-system-monitor'
  dependency problems - leaving unconfigured

Could not install 'gnome-utils'
  dependency problems - leaving unconfigured

Could not install the upgrades
  The upgrade aborts now. Your system could be in an unusable state. A recovery will run now (dpkg --configure -a).
  (Triggers Restart)

------
Sorry, the package "capplets-data" failed to install or upgrade.
  (Clicked "Report Problem" - Bug 150562)

Sorry, the package "slocate" failed to install or upgrade.
  (Report Problem - 175341)

Sorry, the package "gucharmap" failed to install or upgrade.
  (Report Problem - 175878)

Sorry, the package "gnome-applets-data" failed to install or upgrade
  (Report Problem - 155013 - mistake, should have been different bug)

Sorry, the package "gnome-applets" failed to install or upgrade
  (Report Problem - 155013 - correct, this is the right one for this error)

Sorry, the package "gnome-session" failed to install or upgrade
  (Report Problem - 157370

Craig Maloney (craig-decafbad) wrote :
Changed in scrollkeeper:
assignee: nobody → craig-decafbad
status: New → Incomplete
Craig Maloney (craig-decafbad) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please try to obtain a backtrace following the instructions at [WWW] http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace (as an attachment) to the bug report. This will greatly help us in tracking down your problem, as well as the other related problems.

Also, are you running this upgrade on a single core, multiple core, or virtual machine?

Kjell Braden (afflux) wrote :

This particular bug has already been reported and is a duplicate of bug 218049, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers